<?php declare(strict_types=1);

namespace Reloadify\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1708342232AddLanguageAndTotalAmount extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1708342232;
    }

    public function update(Connection $connection): void
    {
        $connection->executeStatement(
            'ALTER TABLE `reloadify_abandoned_cart`
            ADD COLUMN `language_id` BINARY(16) NOT NULL AFTER `sales_channel_id`,
            ADD COLUMN `currency_id` BINARY(16) NOT NULL AFTER `language_id`,
            ADD COLUMN `amount_total` DOUBLE NOT NULL AFTER `currency_id`,
            ADD COLUMN `amount_net` DOUBLE NOT NULL AFTER `amount_total`'
        );
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
