<?php

declare(strict_types=1);

namespace Reloadify\Service;

use Shopware\Core\Framework\Context;
use Shopware\Core\Framework\DataAbstractionLayer\EntityRepositoryInterface;
use Shopware\Core\Framework\MessageQueue\ScheduledTask\ScheduledTaskHandler;

class AbandonedCartCleanupTaskHandler extends ScheduledTaskHandler
{
    protected AbandonedCartService $cartService;

    public function __construct(
        EntityRepositoryInterface $scheduledTaskRepository,
        AbandonedCartService      $cartService
    )
    {
        parent::__construct($scheduledTaskRepository);
        $this->cartService = $cartService;
    }

    public static function getHandledMessages(): iterable
    {
        return [AbandonedCartCleanupTask::class];
    }

    public function run(): void
    {
        $context = Context::createDefaultContext();
        $this->cartService->deleteOldAbandonedCarts($context);
    }
}
